petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatPartitioningSetAdjacency

Sets the adjacency graph (matrix) of the thing to be partitioned.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPartitioningSetAdjacency(MatPartitioning part,Mat adj)

Collective on MatPartitioning and Mat

### Input Parameters

| part | - the partitioning context
| adj | - the adjacency matrix

### Keywords

Partitioning, adjacency

### See Also

MatPartitioningCreate()

Level:beginner
Location:src/mat/partition/partition.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex11.c.html
src/mat/examples/tutorials/ex15.c.html
src/mat/examples/tutorials/ex17.c.html